#include<bits/stdc++.h>
using namespace std;

bool prim(long long b) {
    if(b==1) return false;
    for(long long i=2; i<=sqrt(b); i++) {
        //cout << i << " ";
        if(b%i==0) {
            return false;
        }
    }
    return true;
}

int main() {
    ios::sync_with_stdio(0);
    cin.tie(0);
    cout.tie(0);

    long long n;
    cin >> n;
    vector<int> a(n);

    bool cnt=0;
    for(int i=0; i<n; i++) {
        cin >> a[i];
        if(a[i] !=1 || a[i] !=2) cnt=1;
    }

    if(!cnt) {
        for(auto s : a) {
            cout << s << " ";
        }
        return 0;
    }

    vector<bool> paint(n,0);
    paint[0]=0;

    for(long long j=0; j<n-1; j++) {

        for(long long k=j; k<n; k++) {
            long long r = a[j], t = a[k];
            if(t>r) swap(r,t);
            if(r%t==0) {
                if(prim(r/t)) {
                    paint[k]= !paint[j];
                }
            }
        }
    }

    for(auto u: paint) {
        if(u==1) {
            cout << "1 ";
        }
        else {
            cout << "2 ";
        }
    }

    return 0;
}
